> ## Documentation Index
> Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Get funding rates



## OpenAPI

````yaml openapi/api-gateway.json GET /funding-rates
openapi: 3.1.0
info:
  title: ax-api-gateway
  description: ''
  license:
    name: ''
  version: 15.24.0
servers:
  - url: https://gateway.architect.exchange/api
security: []
tags:
  - name: api-gateway
    description: API gateway
paths:
  /funding-rates:
    get:
      tags:
        - api-gateway
      operationId: get_funding_rates
      parameters:
        - name: symbol
          in: query
          required: true
          schema:
            type: string
        - name: end_timestamp_ns
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int64
            minimum: 0
        - name: start_timestamp_ns
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int64
            minimum: 0
        - name: cursor
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: limit
          in: query
          required: false
          schema:
            type:
              - integer
              - 'null'
            format: int32
            minimum: 0
        - name: sort_ts
          in: query
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/SortDirection'
                description: Timestamp sort direction (defaults to `desc`).
      responses:
        '200':
          description: List of funding rates
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFundingRatesResponse'
      security:
        - session_token: []
components:
  schemas:
    SortDirection:
      type: string
      description: >-
        Sort order/direction.


        - `asc`: ascending order per field type (e.g. lexicographic, numeric,
        etc.)

        - `desc`: descending order per field type
      enum:
        - asc
        - desc
    GetFundingRatesResponse:
      allOf:
        - $ref: '#/components/schemas/CursorPage'
        - type: object
          required:
            - funding_rates
          properties:
            funding_rates:
              type: array
              items:
                $ref: '#/components/schemas/FundingRate'
    CursorPage:
      type: object
      description: |-
        Page metadata for cursor-paged responses.

        This is intended for response bodies (not query params).
      properties:
        limit:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        next_cursor:
          type:
            - string
            - 'null'
        total_count:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
    FundingRate:
      type: object
      required:
        - symbol
        - timestamp_ns
        - funding_rate
        - settlement_price
      properties:
        benchmark_price:
          type:
            - string
            - 'null'
        funding_amount:
          type:
            - string
            - 'null'
        funding_rate:
          type: string
        settlement_price:
          type: string
        symbol:
          type: string
        timestamp_ns:
          type: integer
          format: int64
          minimum: 0
  securitySchemes:
    session_token:
      type: http
      scheme: bearer
      description: User session token

````